org.richfaces.resource.external

## Class ResourceTrackerForMojarra

- java.lang.Object
- - org.richfaces.resource.external.ResourceTrackerForMojarra

- All Implemented Interfaces:
    ResourceTracker

      public class ResourceTrackerForMojarra
      extends Object
      implements ResourceTracker

  Tracks what external resources are renderered to the page (specific for Mojarra)
  Author:
    Lukas Fryc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceTrackerForMojarra()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isResourceRenderered(javax.faces.context.FacesContext facesContext, ResourceKey resourceKey)` Returns true if given resource has been already renderered to the page
    `void` | `markResourceRendered(javax.faces.context.FacesContext facesContext, ResourceKey resourceKey)` Marks given resource as renderered

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceTrackerForMojarra

          public ResourceTrackerForMojarra()

  - ### Method Detail

    - #### isResourceRenderered

          public boolean isResourceRenderered(javax.faces.context.FacesContext facesContext,
                                              ResourceKey resourceKey)

      Description copied from interface: `ResourceTracker`
      Returns true if given resource has been already renderered to the page
      Specified by:
        `isResourceRenderered` in interface `ResourceTracker`
      Returns:
        true if given resource has been already renderered to the page; false otherwise

    - #### markResourceRendered

          public void markResourceRendered(javax.faces.context.FacesContext facesContext,
                                           ResourceKey resourceKey)

      Description copied from interface: `ResourceTracker`
      Marks given resource as renderered
      Specified by:
        `markResourceRendered` in interface `ResourceTracker`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.